Debian Bug report logs - #624276
systemd: Assertion 'm' failed at src/dbus-manager.c:323 (dumps core with ABRT)

version graph

Package: systemd; Maintainer for systemd is Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>; Source for systemd is src:systemd.

Reported by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Date: Wed, 27 Apr 2011 03:03:02 UTC

Severity: important

Merged with 624094

Found in version systemd/25-1

Fixed in version systemd/25-2

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dkg@fifthhorseman.net, Tollef Fog Heen <tfheen@debian.org>:
Bug#624276; Package systemd. (Wed, 27 Apr 2011 03:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
New Bug report received and forwarded. Copy sent to dkg@fifthhorseman.net, Tollef Fog Heen <tfheen@debian.org>. (Wed, 27 Apr 2011 03:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: systemd: Assertion 'm' failed at src/dbus-manager.c:323 (dumps core with ABRT)
Date: Tue, 26 Apr 2011 23:04:41 -0400
[Message part 1 (text/plain, inline)]
Package: systemd
Version: 25-1
Severity: important

systemd appears to have failed an assertion and dumped core.  I'm attaching /var/log/syslog and the corefile.

This machine has only a single filesystem (it's using btrfs) and the tasksel "Graphical Desktop" packageset installed.

I'm running systemd-sysv, and i've manually removed (--force-remove-essential) the sysvinit package.

i can provide more debugging if you tell me what you're interested in.

Regards,

	--dkg

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages systemd depends on:
ii  initscripts                 2.88dsf-13.4 scripts for initializing and shutt
ii  libaudit0                   1.7.13-1+b2  Dynamic library for security audit
ii  libc6                       2.11.2-11    Embedded GNU C Library: Shared lib
ii  libcap2                     1:2.20-1     support for getting/setting POSIX.
ii  libcryptsetup1              2:1.2.0-2    libcryptsetup shared library
ii  libdbus-1-3                 1.4.8-2      simple interprocess messaging syst
ii  libpam0g                    1.1.2-2      Pluggable Authentication Modules l
ii  libselinux1                 2.0.98-1     SELinux runtime shared libraries
ii  libudev0                    168-1        libudev shared library
ii  libwrap0                    7.6.q-19     Wietse Venema's TCP wrappers libra
ii  util-linux                  2.17.2-9.1   Miscellaneous system utilities

Versions of packages systemd recommends:
ii  libpam-systemd                25-1       system and service manager - PAM m

Versions of packages systemd suggests:
ii  python                        2.6.6-14   interactive high-level object-orie
pn  systemd-gui                   <none>     (no description available)

-- no debconf information
[syslog (text/x-c++, attachment)]
[core (application/x-coredump, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#624276; Package systemd. (Wed, 27 Apr 2011 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 27 Apr 2011 05:39:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 624276@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#624276: systemd: Assertion 'm' failed at src/dbus-manager.c:323 (dumps core with ABRT)
Date: Wed, 27 Apr 2011 07:36:56 +0200
]] Daniel Kahn Gillmor 

Hi

| i can provide more debugging if you tell me what you're interested in.

Any chance you can try the patch from 624094?  It appears to be the same
bug.

cheers,
-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#624276; Package systemd. (Wed, 27 Apr 2011 05:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 27 Apr 2011 05:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#624276; Package systemd. (Wed, 27 Apr 2011 06:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 27 Apr 2011 06:12:15 GMT) Full text and rfc822 format available.

Message #20 received at 624276@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Tollef Fog Heen <tfheen@err.no>
Cc: 624276@bugs.debian.org
Subject: Re: Bug#624276: systemd: Assertion 'm' failed at src/dbus-manager.c:323 (dumps core with ABRT)
Date: Wed, 27 Apr 2011 02:11:26 -0400
[Message part 1 (text/plain, inline)]
On 04/27/2011 01:36 AM, Tollef Fog Heen wrote:
> ]] Daniel Kahn Gillmor 
> 
> Hi
> 
> | i can provide more debugging if you tell me what you're interested in.
> 
> Any chance you can try the patch from 624094?  It appears to be the same
> bug.

sure, fetching it now -- i don't know that i'll get to it tonight.

I note that the patch is the same as upstream's
a133bf10d09f788079b82f63faa7058a27ba310b

i'll follow up when i get the re-built package installed.

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#624276; Package systemd. (Wed, 27 Apr 2011 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 27 Apr 2011 06:33:05 GMT) Full text and rfc822 format available.

Message #25 received at 624276@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Tollef Fog Heen <tfheen@err.no>
Cc: 624276@bugs.debian.org
Subject: Re: Bug#624276: systemd: Assertion 'm' failed at src/dbus-manager.c:323 (dumps core with ABRT)
Date: Wed, 27 Apr 2011 02:31:26 -0400
[Message part 1 (text/plain, inline)]
On 04/27/2011 01:36 AM, Tollef Fog Heen wrote:
> ]] Daniel Kahn Gillmor 
> 
> Hi
> 
> | i can provide more debugging if you tell me what you're interested in.
> 
> Any chance you can try the patch from 624094?  It appears to be the same
> bug.

OK, i tried it, and it looks like it resolves this particular problem
for me.

Thanks for the pointer!

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Merged 624094 624276. Request was from Tollef Fog Heen <tfheen@debian.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 19:57:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Jun 2011 07:38:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:17:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.